Package org.jboss.resteasy.resteasy_jaxrs.i18n

## Interface LogMessages

- All Superinterfaces:
    `org.jboss.logging.BasicLogger`
  All Known Implementing Classes:
    `LogMessages_$logger`

      @MessageLogger(projectCode="RESTEASY")
      public interface LogMessages
      extends org.jboss.logging.BasicLogger

  Version:
    $Revision: 1.1 $ Copyright Aug 13, 2015
  Author:
    Ron Sigal

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `BASE` |
    `static LogMessages` | `LOGGER` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `acceptExtensionsNotSupported()` |
    `void` | `addingClassResource​(String className, Class<?> clazz)` |
    `void` | `addingProviderClass​(String className, Class<?> clazz)` |
    `void` | `addingProviderSingleton​(String className, Class<?> application)` |
    `void` | `addingSingletonProvider​(String className, Class<?> application)` |
    `void` | `addingSingletonResource​(String className, Class<?> application)` |
    `void` | `ambiguousConstructorsFound​(Class<?> clazz)` |
    `void` | `attemptingToRegisterEmptyContracts​(String className)` |
    `void` | `attemptingToRegisterUnassignableContract​(String className)` |
    `void` | `cannotRegisterheaderDelegate​(Class<?> clazz)` |
    `void` | `charsetUnavailable​(String charset)` |
    `void` | `classNotFoundException​(String line, URL url, Throwable cause)` |
    `void` | `clientReceiveProcessingFailure​(Throwable cause)` |
    `void` | `couldNotBindToDirectory​(String directory)` |
    `void` | `couldNotDeleteFile​(String path, Throwable cause)` |
    `void` | `creatingContextObject​(String key, String value)` |
    `void` | `deployingApplication​(String className, Class<?> clazz)` |
    `void` | `errorPatchTarget​(String requestURI)` |
    `void` | `errorResumingFailedAsynchOperation​(Throwable cause)` |
    `void` | `failedExecutingDebug​(String method, String path, Throwable cause)` |
    `void` | `failedExecutingError​(String method, String path, Throwable cause)` |
    `void` | `failedToExecute​(Throwable cause)` |
    `void` | `failedToExecuteDebug​(Throwable cause)` |
    `void` | `failedToInvokeAsynchronously​(Throwable ignored)` |
    `void` | `failedToLookupManagedExecutorService​(Throwable cause, String name)` |
    `void` | `failedToParseRequest​(Throwable cause)` |
    `void` | `failedToSetRequestAsync()` |
    `void` | `failedToWriteSseEvent​(String event, Throwable cause)` |
    `void` | `ignoringUnsupportedLocale​(String locale)` |
    `void` | `inOneWay()` |
    `void` | `invalidFormat​(String parameterName, String defaultValue)` |
    `void` | `invalidRegex​(String className, String regex)` |
    `void` | `JAXRSAnnotationsFoundAtNonPublicMethod​(String className, String method)` |
    `void` | `mediaTypeLacksCharset​(javax.ws.rs.core.MediaType mediaType, String method)` |
    `void` | `multipleMethodsMatch​(String request, String[] methods)` |
    `void` | `noClassDefFoundErrorError​(String line, URL url, Throwable cause)` |
    `void` | `noLongerSupported​(String param)` |
    `void` | `noValueOfMethodAvailable​(String className)` |
    `void` | `patchTargetMethodNotFound​(String requestURI)` |
    `void` | `pathInfo​(String path)` |
    `void` | `providerCantBeDynamicallyBoundToMethod​(Class<?> componentClass, Class<?> providerType)` |
    `void` | `providerClassAlreadyRegistered​(String className)` |
    `void` | `providerInstanceAlreadyRegistered​(String className)` |
    `void` | `readerNotFound​(javax.ws.rs.core.MediaType mediaType, String[] availableTypes)` |
    `void` | `runningJob()` |
    `void` | `singletonClassAlreadyDeployed​(String type, String className)` |
    `void` | `skipIllegalField​(String filed, String value)` |
    `void` | `skipUnkownFiled​(String filed)` |
    `void` | `temporaryFileCreated​(String fileName)` |
    `void` | `unableToCloseEntityStream​(Throwable cause)` |
    `void` | `unableToDecodeGZIPBase64​(Throwable cause)` |
    `void` | `unableToExtractParameter​(Throwable cause, String paramSignature, String strVal, AccessibleObject target)` |
    `void` | `unableToResetThreadContext​(Throwable cause, String threadName)` |
    `void` | `unableToRetrieveConfigDTDs()` |
    `void` | `unableToRetrieveConfigExpand()` |
    `void` | `unableToRetrieveConfigSecure()` |
    `void` | `unhandledAsynchronousException​(Throwable ignored)` |
    `void` | `unknownException​(String method, String path, Throwable cause)` |
    `void` | `uriAmbiguity​(String path, String methodList)` |
    `void` | `useOfApplicationClass​(String className)` |
    `void` | `warningPreMatchingSupport​(String clazzname)` |

    - ### Methods inherited from interface org.jboss.logging.BasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

- - ### Field Detail

    - #### LOGGER

          static final LogMessages LOGGER

    - #### BASE

          static final int BASE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### errorResumingFailedAsynchOperation

          @LogMessage(level=ERROR)
          @Message(id=2000,
                   value="Error resuming failed async operation",
                   format=MESSAGE_FORMAT)
          void errorResumingFailedAsynchOperation​(@Cause
                                                  Throwable cause)

    - #### failedExecutingError

          @LogMessage(level=ERROR)
          @Message(id=2005,
                   value="Failed executing {0} {1}",
                   format=MESSAGE_FORMAT)
          void failedExecutingError​(String method,
                                    String path,
                                    @Cause
                                    Throwable cause)

    - #### failedToExecute

          @LogMessage(level=ERROR)
          @Message(id=2010,
                   value="Failed to execute")
          void failedToExecute​(@Cause
                               Throwable cause)

    - #### failedToInvokeAsynchronously

          @LogMessage(level=ERROR)
          @Message(id=2015,
                   value="Failed to invoke asynchronously")
          void failedToInvokeAsynchronously​(@Cause
                                            Throwable ignored)

    - #### unhandledAsynchronousException

          @LogMessage(level=ERROR)
          @Message(id=2020,
                   value="Unhandled asynchronous exception, sending back 500",
                   format=MESSAGE_FORMAT)
          void unhandledAsynchronousException​(@Cause
                                              Throwable ignored)

    - #### unknownException

          @LogMessage(level=ERROR)
          @Message(id=2025,
                   value="Unknown exception while executing {0} {1}",
                   format=MESSAGE_FORMAT)
          void unknownException​(String method,
                                String path,
                                @Cause
                                Throwable cause)

    - #### failedToWriteSseEvent

          @LogMessage(level=DEBUG)
          @Message(id=2030,
                   value="Failed to write event {0}",
                   format=MESSAGE_FORMAT)
          void failedToWriteSseEvent​(String event,
                                     @Cause
                                     Throwable cause)

    - #### cannotRegisterheaderDelegate

          @LogMessage(level=ERROR)
          @Message(id=2035,
                   value="Cannot register {0} as HeaderDelegate: it has no type parameter",
                   format=MESSAGE_FORMAT)
          void cannotRegisterheaderDelegate​(Class<?> clazz)

    - #### patchTargetMethodNotFound

          @LogMessage(level=ERROR)
          @Message(id=2040,
                   value="GET method returns the patch/merge json object target for request {0} not found",
                   format=MESSAGE_FORMAT)
          void patchTargetMethodNotFound​(String requestURI)

    - #### errorPatchTarget

          @LogMessage(level=ERROR)
          @Message(id=2041,
                   value="Failed to get the patch/merge target for request {0}",
                   format=MESSAGE_FORMAT)
          void errorPatchTarget​(String requestURI)

    - #### acceptExtensionsNotSupported

          @LogMessage(level=WARN)
          @Message(id=2100,
                   value="Accept extensions not supported.")
          void acceptExtensionsNotSupported()

    - #### ambiguousConstructorsFound

          @LogMessage(level=WARN)
          @Message(id=2105,
                   value="Ambiguity constructors are found in %s. More details please refer to http://jsr311.java.net/nonav/releases/1.1/spec/spec.html")
          void ambiguousConstructorsFound​(Class<?> clazz)

    - #### attemptingToRegisterEmptyContracts

          @LogMessage(level=WARN)
          @Message(id=2110,
                   value="Attempting to register empty contracts for %s")
          void attemptingToRegisterEmptyContracts​(String className)

    - #### attemptingToRegisterUnassignableContract

          @LogMessage(level=WARN)
          @Message(id=2115,
                   value="Attempting to register unassignable contract for %s")
          void attemptingToRegisterUnassignableContract​(String className)

    - #### charsetUnavailable

          @LogMessage(level=WARN)
          @Message(id=2117,
                   value="Charset %s unavailable.")
          void charsetUnavailable​(String charset)

    - #### classNotFoundException

          @LogMessage(level=WARN)
          @Message(id=2120,
                   value="ClassNotFoundException: Unable to load builtin provider {0} from {1}",
                   format=MESSAGE_FORMAT)
          void classNotFoundException​(String line,
                                      URL url,
                                      @Cause
                                      Throwable cause)

    - #### couldNotBindToDirectory

          @LogMessage(level=WARN)
          @Message(id=2123,
                   value="Could not bind to specified download directory %s so will use temp dir.")
          void couldNotBindToDirectory​(String directory)

    - #### couldNotDeleteFile

          @LogMessage(level=WARN)
          @Message(id=2125,
                   value="Marking file \'%s\' to be deleted, as it could not be deleted while processing request:")
          void couldNotDeleteFile​(String path,
                                  @Cause
                                  Throwable cause)

    - #### failedToParseRequest

          @LogMessage(level=WARN)
          @Message(id=2130,
                   value="Failed to parse request.")
          void failedToParseRequest​(@Cause
                                    Throwable cause)

    - #### ignoringUnsupportedLocale

          @LogMessage(level=WARN)
          @Message(id=2135,
                   value="Ignoring unsupported locale: %s")
          void ignoringUnsupportedLocale​(String locale)

    - #### invalidFormat

          @LogMessage(level=WARN)
          @Message(id=2137,
                   value="Invalid format for {0}, using default value {1}",
                   format=MESSAGE_FORMAT)
          void invalidFormat​(String parameterName,
                             String defaultValue)

    - #### invalidRegex

          @LogMessage(level=WARN)
          @Message(id=2138,
                   value="Invalid regex for {0}: {2}",
                   format=MESSAGE_FORMAT)
          void invalidRegex​(String className,
                            String regex)

    - #### JAXRSAnnotationsFoundAtNonPublicMethod

          @LogMessage(level=WARN)
          @Message(id=2140,
                   value="JAX-RS annotations found at non-public method: {0}.{1}(); Only public methods may be exposed as resource methods.",
                   format=MESSAGE_FORMAT)
          void JAXRSAnnotationsFoundAtNonPublicMethod​(String className,
                                                      String method)

    - #### multipleMethodsMatch

          @LogMessage(level=WARN)
          @Message(id=2142,
                   value="Multiple resource methods match request {0}. Selecting one. Matching methods: {1}",
                   format=MESSAGE_FORMAT)
          void multipleMethodsMatch​(String request,
                                    String[] methods)

    - #### noClassDefFoundErrorError

          @LogMessage(level=WARN)
          @Message(id=2145,
                   value="NoClassDefFoundError: Unable to load builtin provider {0} from {1}",
                   format=MESSAGE_FORMAT)
          void noClassDefFoundErrorError​(String line,
                                         URL url,
                                         @Cause
                                         Throwable cause)

    - #### noLongerSupported

          @LogMessage(level=WARN)
          @Message(id=2150,
                   value="%s is no longer supported.  Use a servlet 3.0 container and the ResteasyServletInitializer")
          void noLongerSupported​(String param)

    - #### providerClassAlreadyRegistered

          @LogMessage(level=WARN)
          @Message(id=2155,
                   value="Provider class {0} is already registered.  2nd registration is being ignored.",
                   format=MESSAGE_FORMAT)
          void providerClassAlreadyRegistered​(String className)

    - #### providerInstanceAlreadyRegistered

          @LogMessage(level=WARN)
          @Message(id=2160,
                   value="Provider instance {0} is already registered.  2nd registration is being ignored.",
                   format=MESSAGE_FORMAT)
          void providerInstanceAlreadyRegistered​(String className)

    - #### noValueOfMethodAvailable

          @LogMessage(level=WARN)
          @Message(id=2165,
                   value="No valueOf() method available for %s, trying constructor...")
          void noValueOfMethodAvailable​(String className)

    - #### readerNotFound

          @LogMessage(level=WARN)
          @Message(id=2170,
                   value="A reader for {0} was not found. This provider is currently configured to handle only {1}",
                   format=MESSAGE_FORMAT)
          void readerNotFound​(javax.ws.rs.core.MediaType mediaType,
                              String[] availableTypes)

    - #### singletonClassAlreadyDeployed

          @LogMessage(level=WARN)
          @Message(id=2172,
                   value="Singleton {0} object class {1} already deployed. Singleton ignored.",
                   format=MESSAGE_FORMAT)
          void singletonClassAlreadyDeployed​(String type,
                                             String className)

    - #### useOfApplicationClass

          @LogMessage(level=WARN)
          @Message(id=2175,
                   value="The use of %s is deprecated, please use javax.ws.rs.Application as a context-param instead")
          void useOfApplicationClass​(String className)

    - #### skipIllegalField

          @LogMessage(level=WARN)
          @Message(id=2180,
                   value="Skip illegal field [%s] in value: [%s]")
          void skipIllegalField​(String filed,
                                String value)

    - #### skipUnkownFiled

          @LogMessage(level=WARN)
          @Message(id=2185,
                   value="Skip unknown field [%s]")
          void skipUnkownFiled​(String filed)

    - #### failedToSetRequestAsync

          @LogMessage(level=WARN)
          @Message(id=2186,
                   value="Failed to set servlet request into asynchronous mode, server sent events may not work")
          void failedToSetRequestAsync()

    - #### warningPreMatchingSupport

          @LogMessage(level=WARN)
          @Message(id=2190,
                   value="Annotation, @PreMaching, not valid on ClientRequestFilter implementation, [%s].  Annotation is being ignored.")
          void warningPreMatchingSupport​(String clazzname)

    - #### uriAmbiguity

          @LogMessage(level=WARN)
          @Message(id=2195,
                   value="The following sub-resource methods and sub-resource locators have the same path, [%s].  The paths should be unique.  [%s]")
          void uriAmbiguity​(String path,
                            String methodList)

    - #### providerCantBeDynamicallyBoundToMethod

          @LogMessage(level=WARN)
          @Message(id=2196,
                   value="Component of type %s can\'t be dynamically bound to a resource method as a %s provider.")
          void providerCantBeDynamicallyBoundToMethod​(Class<?> componentClass,
                                                      Class<?> providerType)

    - #### addingClassResource

          @LogMessage(level=INFO)
          @Message(id=2200,
                   value="Adding class resource {0} from Application {1}",
                   format=MESSAGE_FORMAT)
          void addingClassResource​(String className,
                                   Class<?> clazz)

    - #### addingProviderClass

          @LogMessage(level=INFO)
          @Message(id=2205,
                   value="Adding provider class {0} from Application {1}",
                   format=MESSAGE_FORMAT)
          void addingProviderClass​(String className,
                                   Class<?> clazz)

    - #### addingProviderSingleton

          @LogMessage(level=INFO)
          @Message(id=2210,
                   value="Adding provider singleton {0} from Application {1}",
                   format=MESSAGE_FORMAT)
          void addingProviderSingleton​(String className,
                                       Class<?> application)

    - #### addingSingletonProvider

          @LogMessage(level=INFO)
          @Message(id=2215,
                   value="Adding singleton provider {0} from Application {1}",
                   format=MESSAGE_FORMAT)
          void addingSingletonProvider​(String className,
                                       Class<?> application)

    - #### addingSingletonResource

          @LogMessage(level=INFO)
          @Message(id=2220,
                   value="Adding singleton resource {0} from Application {1}",
                   format=MESSAGE_FORMAT)
          void addingSingletonResource​(String className,
                                       Class<?> application)

    - #### deployingApplication

          @LogMessage(level=INFO)
          @Message(id=2225,
                   value="Deploying {0}: {1}",
                   format=MESSAGE_FORMAT)
          void deployingApplication​(String className,
                                    Class<?> clazz)

    - #### mediaTypeLacksCharset

          @LogMessage(level=INFO)
          @Message(id=2227,
                   value="MediaType {0} on {1}() lacks charset. Consider setting charset or turning on context parameter resteasy.add.charset",
                   format=MESSAGE_FORMAT)
          void mediaTypeLacksCharset​(javax.ws.rs.core.MediaType mediaType,
                                     String method)

    - #### unableToCloseEntityStream

          @LogMessage(level=INFO)
          @Message(id=2230,
                   value="Unable to close entity stream")
          void unableToCloseEntityStream​(@Cause
                                         Throwable cause)

    - #### unableToDecodeGZIPBase64

          @LogMessage(level=INFO)
          @Message(id=2235,
                   value="Unable to decode GZIP compressed Base64 data")
          void unableToDecodeGZIPBase64​(@Cause
                                        Throwable cause)

    - #### creatingContextObject

          @LogMessage(level=DEBUG)
          @Message(id=2300,
                   value="Creating context object <{0} : {1}> ",
                   format=MESSAGE_FORMAT)
          void creatingContextObject​(String key,
                                     String value)

    - #### failedExecutingDebug

          @LogMessage(level=DEBUG)
          @Message(id=2305,
                   value="Failed executing {0} {1}",
                   format=MESSAGE_FORMAT)
          void failedExecutingDebug​(String method,
                                    String path,
                                    @Cause
                                    Throwable cause)

    - #### failedToExecuteDebug

          @LogMessage(level=DEBUG)
          @Message(id=2307,
                   value="Failed to execute")
          void failedToExecuteDebug​(@Cause
                                    Throwable cause)

    - #### inOneWay

          @LogMessage(level=DEBUG)
          @Message(id=2310,
                   value="IN ONE WAY!!!!!")
          void inOneWay()

    - #### pathInfo

          @LogMessage(level=DEBUG)
          @Message(id=2315,
                   value="PathInfo: %s")
          void pathInfo​(String path)

    - #### runningJob

          @LogMessage(level=DEBUG)
          @Message(id=2320,
                   value="RUNNING JOB!!!!")
          void runningJob()

    - #### temporaryFileCreated

          @LogMessage(level=DEBUG)
          @Message(id=2322,
                   value="Temporary file %s has been created. Consider deleting after it has been used.")
          void temporaryFileCreated​(String fileName)

    - #### unableToRetrieveConfigDTDs

          @LogMessage(level=DEBUG)
          @Message(id=2325,
                   value="Unable to retrieve config: disableDTDs defaults to true")
          void unableToRetrieveConfigDTDs()

    - #### unableToRetrieveConfigExpand

          @LogMessage(level=DEBUG)
          @Message(id=2330,
                   value="Unable to retrieve config: expandEntityReferences defaults to false")
          void unableToRetrieveConfigExpand()

    - #### unableToRetrieveConfigSecure

          @LogMessage(level=DEBUG)
          @Message(id=2335,
                   value="Unable to retrieve config: enableSecureProcessingFeature defaults to true")
          void unableToRetrieveConfigSecure()

    - #### clientReceiveProcessingFailure

          @LogMessage(level=DEBUG)
          @Message(id=2340,
                   value="Client receive processing failure.")
          void clientReceiveProcessingFailure​(@Cause
                                              Throwable cause)

    - #### unableToExtractParameter

          @LogMessage(level=DEBUG)
          @Message("Unable to extract parameter from http request: %s value is \'%s\' for %s")
          void unableToExtractParameter​(@Cause
                                        Throwable cause,
                                        String paramSignature,
                                        String strVal,
                                        AccessibleObject target)

    - #### unableToResetThreadContext

          @LogMessage(level=WARN)
          @Message(id=2350,
                   value="Failed to reset the context on thread: %s")
          void unableToResetThreadContext​(@Cause
                                          Throwable cause,
                                          String threadName)

    - #### failedToLookupManagedExecutorService

          @LogMessage(level=WARN)
          @Message(id=2360,
                   value="Failed to look up JNDI resource \"%s\". Using a default ExecutorService.")
          void failedToLookupManagedExecutorService​(@Cause
                                                    Throwable cause,
                                                    String name)